Page MenuHomePhabricator

Cannot send any email via "Email this user" on ru.wikipedia.org
Closed, ResolvedPublic

Description

If I try to send an email with a copy to me it doesnt work.

I can see the page with the information like "your email was sent"
but the recipient dont get my email and I become no copy.


See Also:
T130723: Specific user with Yahoo address cannot use "email this user" function (unsubscribed after 5 bounces)
T134886: Special:EmailUser emails sometimes not delivered due to bounce
T137337: not being able to send emails via Special:EmailUser (Yahoo / GMail)

Event Timeline

Restricted Application added subscribers: Zppix, Aklapper. · View Herald TranscriptMay 28 2016, 9:24 AM

This might've some connection with https://gerrit.wikimedia.org/r/#/c/270553/, in case your mail address is not a Google mail.

This might've some connection with https://gerrit.wikimedia.org/r/#/c/270553/, in case your mail address is not a Google mail.

My email in not a goole mail.

The recipients have goole mail and not google mail accounts.

Base added a subscriber: Base.May 28 2016, 4:56 PM

Is it possible to get some feedback about how long will it take to fix it?

And is it any turnaround for this feature for the time you fix it?

AnnaMariaKoshka renamed this task from Cannot send any email via Email this user in wikipedia.ru to [Bug] Cannot send any email via Email this user in wikipedia.ru.May 30 2016, 9:45 AM
AnnaMariaKoshka triaged this task as High priority.
MBH added a subscriber: MBH.May 30 2016, 9:50 AM
Arbnos added a subscriber: Arbnos.May 30 2016, 1:36 PM
scfc raised the priority of this task from High to Needs Triage.May 30 2016, 4:59 PM
scfc added a subscriber: scfc.

@AnnaMariaKoshka: Please do not set the priority of a task unless you are part of the team working on fixing this issue (cf. https://www.mediawiki.org/wiki/Phabricator/Help#Setting_task_priority). "Priority" in Phabricator reflects the actual order in which developers intend to work on issues, not the order in which users want developers to work on them.

@scfc Ok

I think its important to have this feature work, but you dont have to see the same.

The other question is why do I (and other users) have right to set the priority if they are not allowed to do it?

scfc added a comment.May 30 2016, 6:47 PM

@AnnaMariaKoshka: I don't disagree with you regarding the importance of this task. But at the moment nobody is working on this issue, and "Priority: High" would make users think that somebody is and frustrate them when there is no progress.

The confusing/misleading labelling of "Priority" is covered by T87411.

@Aklapper
My email is not an yahoo one.
I dont know if my recipients has yahoo emails.

Earlier I was asked about googlemail.

Base added a subscriber: Ahonc.EditedMay 31 2016, 4:24 PM

Another example of probably this I encountered.

https://ru.wikipedia.org/wiki/User_talk:Ahonc#.D0.9D.D1.83.D0.B6.D0.BD.D0.B0_.D0.92.D0.B0.D1.88.D0.B0_.D0.BF.D0.BE.D0.BC.D0.BE.D1.89.D1.8C

(@Ксения Однолетко mentions that she had sent a wikimail to @Ahonc, Ahonc replies that he has not seen it on his email, but also mentiones that he does see it in Echo but cannot find a way to read it from there)

I do not know what email provider @Ксения Однолетко has. After that on that day in order to check I and @Ahonc exchanged wikimails (I am on Yandex, he is on Gmail) we both received them.

czar removed a subscriber: czar.Jun 9 2016, 5:17 PM
Ata added a subscriber: Ata.Jul 19 2016, 5:23 PM
Rammon added a subscriber: Rammon.Jul 27 2016, 7:25 AM

I have the same problem.

MBH updated the task description. (Show Details)Aug 31 2016, 11:40 AM
MBH triaged this task as Unbreak Now! priority.Aug 31 2016, 11:55 AM

The most probable cause of this problem is that Wikipedia falsify sender's mail address: the letter sents from some Wikimedia email address, but "sender's address" field contains address from sender's settings. Major mail services probably considers this letters forged or fraudulent. The problem should be fixed ASAP, because every day vanishes many emails, and if recipient do not activated notifications about emails, he doesn't even know that someone wrotes him. I propose to stop sender's address faking, I never understood why are you doing it.

Restricted Application added subscribers: Jay8g, Luke081515, TerraCodes. · View Herald TranscriptAug 31 2016, 11:55 AM

In any case, if the recipient has got his email still verified in Special:Prefrences, this got no connection with MediaWiki-extensions-BounceHandler . The closest I can find a connection is with https://gerrit.wikimedia.org/r/#/c/270553/.

If the recipient complains that they get a message like 'Your email has been un-subscribed due to bounces', please add that too here, as the problem might be different.

Copying the comment of @Q-bit-array from duplicate bug T144390 here:

Description
Emails, sent by users to other users by Wiki-Mail (Special:EmailUser) sometimes don't arrive.

The problem persists since quite long time, but only after the introduction of the notifications it became apparent, that many users of the Russian Wikipedia are affected by the loss of emails. With the notifications it is now possible to see that someone sent you an email, but the email itself never arrives.

It has been noticed that only emails from other users can disappear. There were no reports of disappeared system messages from wiki@wikimedia.org.

The issue seems to be not very related to the mail service of the recipient. While most complains come from the users of mail.ru, another mail services (e.g. Gmail and ukr.net) are also affected. Sometimes the recipient even gets the message "Your registered email address {{......}} has been unsubscribed due to multiple message delivery failures. You can verify your email address again".

Problem analysis (or educated guess)
In my opinion the incoming emails could be rejected by the recipient's mail server because the address of the sender was "faked" – the email address of the user is inserted instead of the real address of the Wikimedia mail server (wiki@wikimedia.org). As this method is widely used by the spammers, numerous mail servers just drop or bounce the messages with the wrong sender.

This theory is supported by the fact that the Wikipedia notifications by the mail always arrive, only the emails from other users (with the replaced sender) can disappear.

Proposed solution
As a possible solution I would propose to use the address of the real Wikimedia server (e.g. wiki@wikimedia.org) for the From field and put the user's email address into the Reply-To field.

P.S.: This issue affects numerous users of our project. At least we should try to locally apply the changes for the Russian Wikipedia to see if the situation improves. Also for me: it impacts my daily work as an administrator and checkuser of the Russian Wikipedia - being able to receive only every second email with the confidential information.

To add here,

"Your registered email address {{......}} has been unsubscribed due to multiple message delivery failures. You can verify your email address again".

is due to bouncehandler unsubscribing the user due to more than 5 bounces in 7 days. If there is a problem with this one showing up very often, please comment that one too here, as there can be a chance that the recipient got their email unverified, and the email never reached there.

Krinkle renamed this task from [Bug] Cannot send any email via Email this user in wikipedia.ru to Cannot send any email via "Email this user" on ru.wikipedia.org.Sep 1 2016, 6:19 AM
bd808 added a subscriber: bd808.Sep 1 2016, 4:21 PM

rMW582b5a05b805: Use wiki email for From of CC messages when $wgUserEmailUseReplyTo is set was merged to master yesterday (2016-08-31). This should help with SPF bounce problems on the CC copies of messages by making the From of the message envelope be an address that belongs to the email's origin domain.

This change will ride the normal deploy train and hit all wikis by 2016-09-08 as part of 1.28.0-wmf.18.

greg added a subscriber: greg.Sep 12 2016, 6:33 PM

This change will ride the normal deploy train and hit all wikis by 2016-09-08 as part of 1.28.0-wmf.18.

Is anyone able to confirm/deny that this addressed the issue in this task? @01tonythomas ?

greg lowered the priority of this task from Unbreak Now! to High.Sep 15 2016, 3:22 PM

This change will ride the normal deploy train and hit all wikis by 2016-09-08 as part of 1.28.0-wmf.18.

Is anyone able to confirm/deny that this addressed the issue in this task? @01tonythomas ?

Reducing priority while we wait for confirmation.

This change will ride the normal deploy train and hit all wikis by 2016-09-08 as part of 1.28.0-wmf.18.

Is anyone able to confirm/deny that this addressed the issue in this task? @01tonythomas ?

We never got any more complaints, it seems. Looks like - fixed ? If someone still come up, we can check the bouncehandler logs, and should be able to get something more.

greg closed this task as Resolved.Sep 20 2016, 6:39 PM
greg claimed this task.

Resolving. wmf.18 has been on all wikis for a week and a half.

Restricted Application added a project: User-greg. · View Herald TranscriptSep 20 2016, 6:39 PM